CVE-2014-3493 (retired)

Priority
Description
The push_ascii function in smbd in Samba 3.6.x before 3.6.24, 4.0.x before
4.0.19, and 4.1.x before 4.1.9 allows remote authenticated users to cause a
denial of service (memory corruption and daemon crash) via an attempt to
read a Unicode pathname without specifying use of Unicode, leading to a
character-set conversion failure that triggers an invalid pointer
dereference.
Assigned-to
mdeslaur
Package
Source: samba (LP Ubuntu Debian)
Upstream:released (4.1.9,4.0.19,3.6.24)
Ubuntu 12.04 ESM (Precise Pangolin):released (2:3.6.3-2ubuntu2.11)
Ubuntu 14.04 LTS (Trusty Tahr):released (2:4.1.6+dfsg-1ubuntu2.14.04.2)
Ubuntu 16.04 LTS (Xenial Xerus):released (2:4.1.8+dfsg-1ubuntu2)
Patches:
Upstream:http://git.samba.org/?p=samba.git;a=commit;h=1692ff43ac2e8997dcccd63f2327b7141f5be878 (3.x)
Upstream:http://git.samba.org/?p=samba.git;a=commit;h=a88baed8dd64c3f77ee5070029d305489ad63743 (4.1.x)
Package
Upstream:released (4.1.9,4.0.19,3.6.24)
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was needed)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):DNE
More Information

Updated: 2019-03-26 12:13:04 UTC (commit ccdecfcf0fead22bd291e5f4ea745a46872dcb15)